Bug 1682928 - [marketplace] catalogsourceconfig objects are deleted and recreated on marketplace restart [NEEDINFO]
Summary: [marketplace] catalogsourceconfig objects are deleted and recreated on market...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Abu Kashem
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 20:51 UTC by Abu Kashem
Modified: 2019-06-04 10:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:27 UTC
Target Upstream Version:
jfan: needinfo? (akashem)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:33 UTC

Description Abu Kashem 2019-02-25 20:51:25 UTC
On restart, marketplace operator deletes and recreates the catalogsourceconfig objects associated with each OperatorSource.

Steps:
- Restart marketplace operator by killing the pod.
- You will observe that all CatalogSourceConfig object(s) associated with each OperatorSource gets deleted and then recreated.

These are all CatalogSourceConfig object(s) having the following label
      opsrc-datastore: "true"


Expected Result:
- CatalogSourceConfig object(s) should be updated instead of being deleted and created again.

Comment 2 Fan Jia 2019-02-27 06:50:13 UTC
The latest cv:4.0.0-0.nightly-2019-02-26-125216  doesn't include the pr. will test it until it include the fix pr

Comment 3 Fan Jia 2019-02-28 06:49:58 UTC
1.testenv:
clusterversion: 4.0.0-0.nightly-2019-02-27-213933
marketplace image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:db3741fada8ffb0417e20b58781d2028a17c2c7697c0965b248b6af8501ef312

2.catalogsourceconfig objects (with label opsrc-datastore: "true") do not updated or cleaned anymore on marketplace restart.but the operatorsource is updated on marketplace restart. I think it is correct.

Comment 6 errata-xmlrpc 2019-06-04 10:44:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.